Package org.drinkless.tdlib

# Class TdApi.TelegramPaymentPurposeStarGiveaway

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.TelegramPaymentPurpose
org.drinkless.tdlib.TdApi.TelegramPaymentPurposeStarGiveaway

Enclosing class:
  `TdApi`

public static class TdApi.TelegramPaymentPurposeStarGiveaway extends TdApi.TelegramPaymentPurpose
The user creating a Telegram Star giveaway.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.TelegramPaymentPurpose

  `TdApi.TelegramPaymentPurpose.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `amount`
  Paid amount, in the smallest units of the currency.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `currency`
  ISO 4217 currency code of the payment currency.
  `TdApi.GiveawayParameters`
  `parameters`
  Giveaway parameters.
  `long`
  `starCount`
  The number of Telegram Stars to be distributed through the giveaway.
  `int`
  `winnerCount`
  The number of users to receive Telegram Stars.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TelegramPaymentPurposeStarGiveaway()`
  The user creating a Telegram Star giveaway.
  `TelegramPaymentPurposeStarGiveaway(TdApi.GiveawayParameters parameters, String currency, long amount, int winnerCount, long starCount)`
  The user creating a Telegram Star giveaway.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### parameters

    public TdApi.GiveawayParameters parameters
    Giveaway parameters.

  - ### currency

    public String currency
    ISO 4217 currency code of the payment currency.

  - ### amount

    public long amount
    Paid amount, in the smallest units of the currency.

  - ### winnerCount

    public int winnerCount
    The number of users to receive Telegram Stars.

  - ### starCount

    public long starCount
    The number of Telegram Stars to be distributed through the giveaway.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TelegramPaymentPurposeStarGiveaway

    public TelegramPaymentPurposeStarGiveaway()
    The user creating a Telegram Star giveaway.

  - ### TelegramPaymentPurposeStarGiveaway

    public TelegramPaymentPurposeStarGiveaway(TdApi.GiveawayParameters parameters, String currency, long amount, int winnerCount, long starCount)
    The user creating a Telegram Star giveaway.
    Parameters:
      `parameters` - Giveaway parameters.
      `currency` - ISO 4217 currency code of the payment currency.
      `amount` - Paid amount, in the smallest units of the currency.
      `winnerCount` - The number of users to receive Telegram Stars.
      `starCount` - The number of Telegram Stars to be distributed through the giveaway.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.TelegramPaymentPurpose`
    Returns:
      this.CONSTRUCTOR